using System;
using System.Collections.Generic;
using System.Text;
using Edu.Common.Plugin;

namespace Edu.Common.Enum.Finance
{
    /// <summary>
    /// 来源
    /// </summary>
    public enum OrderResourceEnum
    {
        /// <summary>
        /// 酒店
        /// </summary>
        [EnumField("酒店")]
        Hotel = 1,

        /// <summary>
        /// 餐厅
        /// </summary>
        [EnumField("餐厅")]
        Dining = 2,

        /// <summary>
        ///景点
        /// </summary>

        [EnumField("景点")]
        TicketCoupons = 3,

        /// <summary>
        /// 票务(机票)
        /// </summary>

        [EnumField("票务")]
        TicketService = 4,


        /// <summary>
        /// 车辆
        /// </summary>
        [EnumField("车辆")]
        Vehicle = 5,

        /// <summary>
        /// 领队/导游
        /// </summary>
        [EnumField("领队/导游")]
        Leader = 6,

        /// <summary>
        /// 购物店
        /// </summary>
        [EnumField("购物店")]
        Shopping = 7,
        /// <summary>
        /// 团队订单
        /// </summary>
        [EnumField("团队订单")]
        Travel = 8,
        /// <summary>
        /// 国内票务
        /// </summary>
        [EnumField("国内票务")]
        DomesticTicket = 9,
        /// <summary>
        /// 签证
        /// </summary>
        [EnumField("签证")]
        Visia = 10,
        /// <summary>
        /// 团队投诉订单
        /// </summary>
        [EnumField("团队投诉订单")]
        Complain = 11,
        /// <summary>
        /// 散卖机票订单
        /// </summary>
        [EnumField("散卖机票订单")]
        BulkAirTicket = 12,
        /// <summary>
        /// 提成
        /// </summary>
        [EnumField("提成")]
        TiCheng = 13,
        /// <summary>
        /// 其他
        /// </summary>
        [EnumField("其他")]
        Other = 14,
        /// <summary>
        /// 一日游
        /// </summary>
        [EnumField("一日游")]
        OneDayTour = 15,
        /// <summary>
        /// 赞羊商城
        /// </summary>
        [EnumField("赞羊商城")]
        ZYStore = 16,
        /// <summary>
        /// 教育
        /// </summary>
        [EnumField("教育")]
        Education = 17,

        /// <summary>
        /// 教育留学
        /// </summary>
        [EnumField("教育留学")]
        EducationStudy = 18,
    }
}
